LinkexLinkex Docs
API ReferenceGeneratedX402

Get x402 configuration

GET
/api/user/topup/x402/config

Discover whether x402 top-up is enabled, amount bounds, and the supported networks/tokens with their payment recipient addresses. Accepts an API key (including agent keys) or a session cookie.

AuthorizationBearer <token>

Linkex API key (sk-...), including agent keys. Session cookie auth is also accepted on /api/user/* routes.

In: header

Response Body

application/json

curl -X GET "https://example.com/api/user/topup/x402/config"
{  "success": true,  "data": {    "enabled": true,    "min_topup_usd": 0,    "max_topup_usd": 0,    "network": "string",    "pay_to": "string",    "networks": [      {        "network": "string",        "pay_to": "string",        "symbols": [          "string"        ]      }    ]  }}